@Crazy_nekit
Никита 17 лет программист

Ошибка телеграмм бота Что делать?

2020-09-27 14:22:53,455 (util.py:75 WorkerThread5) ERROR - TeleBot: "SSLError oc
curred, args=(SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAI
LED] certificate verify failed: self signed certificate in certificate chain (_s
sl.c:1123)')),)
Traceback (most recent call last):
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\connectionpool.py", line 542, in urlopen
httplib_response = self._make_request(conn, method, url,
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\connectionpool.py", line 341, in _make_requ
est
self._validate_conn(conn)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\connectionpool.py", line 761, in _validate_
conn
conn.connect()
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\connection.py", line 234, in connect
self.sock = ssl_wrap_socket(conn, self.key_file, self.cert_file,
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\util\ssl_.py", line 279, in ssl_wrap_socket

return context.wrap_socket(sock, server_hostname=server_hostname)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\ssl
.py", line 500, in wrap_socket
return self.sslsocket_class._create(
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\ssl
.py", line 1040, in _create
self.do_handshake()
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\ssl
.py", line 1309, in do_handshake
self._sslobj.do_handshake()
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verif
y failed: self signed certificate in certificate chain (_ssl.c:1123)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\adapters.py", line 360, in send
resp = conn.urlopen(
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED]
certificate verify failed: self signed certificate in certificate chain (_ssl.c:
1123)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\telebot\util.py", line 69, in run
task(*args, **kwargs)
File "C:\sms_bomber\bot.py", line 130, in query_handler
h = s.get('https://edge.qiwi.com/payment-history/v1/persons/' + cfg.QIWI_NUM
+ '/payments',params=parameters)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\sessions.py", line 477, in get
return self.request('GET', url, **kwargs)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\adapters.py", line 431, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verif
y failed: self signed certificate in certificate chain (_ssl.c:1123)
"
2020-09-27 14:22:54,142 (util.py:75 WorkerThread5) ERROR - TeleBot: "SSLError oc
curred, args=(SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAI
LED] certificate verify failed: self signed certificate in certificate chain (_s
sl.c:1123)')),)
Traceback (most recent call last):
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\connectionpool.py", line 542, in urlopen
httplib_response = self._make_request(conn, method, url,
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\connectionpool.py", line 341, in _make_requ
est
self._validate_conn(conn)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\connectionpool.py", line 761, in _validate_
conn
conn.connect()
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\connection.py", line 234, in connect
self.sock = ssl_wrap_socket(conn, self.key_file, self.cert_file,
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\util\ssl_.py", line 279, in ssl_wrap_socket

return context.wrap_socket(sock, server_hostname=server_hostname)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\ssl
.py", line 500, in wrap_socket
return self.sslsocket_class._create(
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\ssl
.py", line 1040, in _create
self.do_handshake()
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\ssl
.py", line 1309, in do_handshake
self._sslobj.do_handshake()
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verif
y failed: self signed certificate in certificate chain (_ssl.c:1123)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\adapters.py", line 360, in send
resp = conn.urlopen(
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\packages\urllib3\connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED]
certificate verify failed: self signed certificate in certificate chain (_ssl.c:
1123)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\telebot\util.py", line 69, in run
task(*args, **kwargs)
File "C:\sms_bomber\bot.py", line 130, in query_handler
h = s.get('https://edge.qiwi.com/payment-history/v1/persons/' + cfg.QIWI_NUM
+ '/payments',params=parameters)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\sessions.py", line 477, in get
return self.request('GET', url, **kwargs)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38-32\lib\sit
e-packages\requests\adapters.py", line 431, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verif
y failed: self signed certificate in certificate chain (_ssl.c:1123)
"


помогите плес
  • Вопрос задан
  • 76 просмотров
Пригласить эксперта
Ответы на вопрос 1
@Misha_Angelov
Написано же
CERTIFICATE_VERIFY_FAILED
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы